import datetime
import pandas as pd
import os


if __name__ == '__main__':
    now_date = datetime.datetime.today()
    dt = datetime.datetime.strftime(now_date, '%Y%m%d')
    data_df_list = []
    for days in range(2, 9):
        cur_dt = datetime.datetime.strftime(now_date - datetime.timedelta(days=days), '%Y%m%d')
        print(f"cur_dt = {cur_dt}")
        cur_dt_df = pd.read_csv(f"./data/sample_train_data/{cur_dt}.csv")
        data_df_list.append(cur_dt_df)
    all_df = pd.concat(data_df_list)
    print(f"all data num: {all_df.shape[0]}")
    train_test_data_dir = './data/train_test_data'
    if not os.path.exists(train_test_data_dir):
        os.makedirs(train_test_data_dir)
    all_df.to_csv(f'{train_test_data_dir}/train_test_{dt}.csv', index=False)
